RarEntry::isDirectory
RarEntry::__toString
RarEntry
PHP Manual

# RarEntry::isEncrypted

Test whether an entry is encrypted

### Description

public bool RarEntry::isEncrypted ( void )

Tests whether the current entry contents are encrypted.

> Note:

> The password used may differ between files inside the same RAR archive.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the current entry is encrypted and `FALSE` otherwise.